Subject: Re: bug#38199: 27.0.50; [Cairo] Display artifacts (small vertical colored bars)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Nov 2019 15:30:31 +0200

> From: Bastian Beischer <[email-masked]>
> Date: Wed, 13 Nov 2019 20:32:24 +0100
> 
> When emacs is built with cairo I see small display artifacts from time
> to time, in particular there are small thin vertical bars, for example,
> with the default theme (starting from emacs -Q) I get those bars in the
> mode-line and they are always in a cyan color, but it is possible that
> other occurences can be observed even with emacs -Q.
> 
> In real world usage I have seen these bars in regular buffers, too,
> usually they are red and/or blue but that might depend on my theme.
> 
> A recipe to produce them (on my machine) is:
> 
> 1) emacs -Q
> 2) M-<
> 3) C-space
> 4) M->
> 5) M-w
> 6) C-y (repeat ten or twenty times)
> 
> Then move around in the resulting buffer and after a bit of cursor
> movement the vertical lines appear. They are not permanent and often
> disappear when the buffer is refreshed.

Did you try to disable "advanced" or "optimization" features of your
display driver software?  Or upgrade it to a newer version?  The
artifacts your screenshot shows don't look like something Emacs could
produce.

Can someone else reproduce this in a Cairo build?

Thanks.